Automette docs

Decide

POST
/api/v1/tools/decide

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/tools/decide" \  -H "Content-Type: application/json" \  -d '{    "data": {      "content": "Please cancel my subscription from next month",      "questions": [        {          "name": "intent",          "kind": "choose",          "question": "What does the customer want?",          "options": [            {              "name": "cancel"            },            {              "name": "question"            },            {              "name": "complaint"            }          ]        }      ]    }  }'
{  "id": "string",  "self": "string",  "tool": "string",  "status": "pending",  "origin": "string",  "data": {},  "error": "string",  "code": "string",  "credits_used": 0,  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "result": {    "answers": {},    "unsure": [      "string"    ]  }}